package com.couplet.remote;

import com.couplet.common.core.constant.ServiceNameConstants;
import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.common.domain.request.FenceAndLogeRequest;
import com.couplet.remote.factory.RemoteFenceAndLogFallbackFactory;
import com.couplet.remote.factory.RemoteTroubleFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteFenceAndLogService" ,
        value = ServiceNameConstants.BUSINESS_SERVICE,
        fallbackFactory = RemoteFenceAndLogFallbackFactory.class
)
public interface RemoteFenceAndLogService {

    @PostMapping("/queryByFenceAndLogoIds")
    public Result<?> queryByFenceAndLogoIds(@RequestBody FenceAndLogeRequest fenceAndLogeRequest);

}
