package com.couplet.remote.factory;

import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.common.domain.request.FenceAndLogeRequest;
import com.couplet.remote.RemoteFenceAndLogService;
import com.couplet.remote.RemoteTroubleService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author fufanrui
 * @version 1.0
 * @description: TODO
 * @date 2024/4/2 14:46
 */
@Component
public class RemoteFenceAndLogFallbackFactory implements FallbackFactory<RemoteFenceAndLogService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteFenceAndLogFallbackFactory.class);

    @Override
    public RemoteFenceAndLogService create(Throwable cause) {
        return new RemoteFenceAndLogService() {

            @Override
            public Result<?> queryByFenceAndLogoIds(FenceAndLogeRequest fenceAndLogeRequest) {

                return Result.error(cause.getMessage());
            }
        };
    }
}
