package com.couplet.analyze.common.event;

import com.couplet.common.domain.request.RealTimeDataRequest;
import com.couplet.common.redis.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Set;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/7
 * @Description:
 */

@Component
public class AnalyzeEventCache {

    @Autowired
    private RedisService redisService;

    public String encode(String vin){
        return "event:arr"+vin;
    }
    /**
     * 添加事件
     */
    public void addEvent(String vin, String eventValue) {
        redisService.setCacheSet(encode(vin), eventValue);
    }

    /**
     * 修改事件
     */
    public void updateEvent(String vin,String eventValue){
        redisService.setCacheSet(encode(vin), eventValue);
    }
    /**
     * 删除事件
     */
    public void removeEvent(String vin,String eventName){
        redisService.deleteSet(encode(vin), eventName);
    }
    /**
     * 查询事件
     */
    public void queryEvent(String vin, final RealTimeDataRequest eventName){
        redisService.setCacheObject(encode(vin), eventName);
    }
    /**
     * 获取事件集合
     *
     * @return
     */
    public Set<String> getEventList(String vin){
       return redisService.getCacheSet(encode(vin));
    }


}
