//package com.couplet.analyze.msg.consumer;
//
//import com.couplet.common.core.text.Convert;
//import com.couplet.common.domain.request.FenceUpdateRequest;
//import com.couplet.common.redis.service.RedisService;
//import com.rabbitmq.client.Channel;
//import lombok.extern.log4j.Log4j2;
//import org.springframework.amqp.core.Message;
//import org.springframework.amqp.rabbit.annotation.RabbitHandler;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.BoundSetOperations;
//import org.springframework.stereotype.Component;
//
//import java.io.IOException;
//import java.util.HashMap;
//import java.util.HashSet;
//import java.util.Set;
//import java.util.concurrent.TimeUnit;
//
///**
// * @Author: LiJiaYao
// * @Date: 2024/4/4
// * @Description:
// */
//@Log4j2
//@Component
//@RabbitListener(queues = "fenceQueue")
//public class FenceConsumer {
//    @Autowired
//    private RedisService redisService;
//
//    @RabbitHandler
//    public void fenceConsumer(FenceUpdateRequest fenceUpdateRequest, Channel channel, Message message) throws IOException {
//
//        log.info("电子围栏消息进入队列，传入的数据是:[{}]", fenceUpdateRequest);
//
//        String messageId = message.getMessageProperties().getMessageId();
//        long deliveryTag = message.getMessageProperties().getDeliveryTag();
//        if (!redisService.hasKey("电子围栏消息不丢失:" + messageId)) {
//            redisService.setCacheObject("电子围栏消息不丢失:" + messageId, "" + deliveryTag);
//        }
////        if (redisService.hasKey("fence")){
////            redisService.deleteObject("fence");
////        }
//
//        HashSet<String> objects = new HashSet<>();
//        objects.add(messageId);
//
//        BoundSetOperations<String, String> set = redisService.setCacheSet("电子围栏消息不重复:" + messageId, objects);
//        redisService.expire("电子围栏消息不重复:" + messageId, 5, TimeUnit.MINUTES);
//        try {
//            if (set != null) {
//                HashMap<String, Object> hashMap = new HashMap<>();
//                HashSet<FenceUpdateRequest> hashSet = new HashSet<>();
//                hashSet.add(fenceUpdateRequest);
//                hashMap.put(fenceUpdateRequest.getFenceId()+"",fenceUpdateRequest);
////                redisTemplate.opsForH("fence", JSON.toJSONString(hashMap),10,TimeUnit.MINUTES);
////                redisTemplate.opsForHash().put("fence", fenceUpdateRequest.getFenceId()+"", JSON.toJSONString(hashMap));
//
//                String key = Convert.toStr(fenceUpdateRequest.getFenceId());
//                redisService.setCacheObject(key,fenceUpdateRequest);
//                redisService.expire(key, 10, TimeUnit.MINUTES);
//                //判断车辆是否有实时数据,如果没有则删除数据
//                channel.basicAck(deliveryTag, false);
//            } else {
//                log.error("电子围栏消息不能重复消费:[{}]", fenceUpdateRequest);
//                channel.basicReject(deliveryTag, false);
//            }
//        } catch (IOException e) {
//            log.error("电子围栏消息未进入队列,传入的信息是:【{}】", fenceUpdateRequest);
//            String s = redisService.getCacheObject("电子围栏消息不丢失:" + messageId);
//
//            Long o = Long.valueOf(s);
//            if (deliveryTag == o + 2) {
//                log.error("电子围栏消息已丢失,无法传入的信息是:【{}】", fenceUpdateRequest);
//                channel.basicNack(deliveryTag, false, false);
//            } else {
//                log.error("电子围栏消息已丢失,已再次传入的信息是:【{}】", fenceUpdateRequest);
//                channel.basicNack(deliveryTag, true, false);
//            }
//        }
//    }
//}
