package com.couplet.business.server.controller;

import com.couplet.business.server.service.FenAndLogoService;
import com.couplet.business.server.service.VehicleAndLogoService;
import com.couplet.common.core.domain.Result;
import com.couplet.common.core.web.controller.BaseController;
import com.couplet.common.domain.Fence;
import com.couplet.common.domain.request.FenceAndLogeRequest;
import com.couplet.common.log.annotation.Log;
import com.couplet.common.log.enums.BusinessType;
import com.couplet.common.security.annotation.RequiresPermissions;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/7
 * @Description: 车辆和标识中间信息
 */
@RestController
@Log4j2
@RequestMapping("/fenceAndLogo")
public class FenceAndLogoController extends BaseController {

    /**
     * 调用车辆logo接口
     */
    @Autowired
    private FenAndLogoService fenAndLogoService;

    /**
     * 根据车辆id查询绑定的标识
     * @param aLong
     * @return
     */
    @Log(title = "查找车辆绑定的电子围栏", businessType = BusinessType.OTHER)
    @PostMapping("/queryByFenceAndLogoIds")
    public Result<?> queryByFenceAndLogoIds(@RequestBody FenceAndLogeRequest request){
        List<Fence> bindLogoById = fenAndLogoService.queryByFenceAndLogoIds(request);
        return success(bindLogoById);
    }

}
