package com.couplet.business.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.couplet.common.domain.Fence;
import com.couplet.common.domain.request.FenceAndLogeRequest;

import java.util.List;


/**
 * @Author: LiJiaYao
 * @Date: 2024/3/28
 */
public interface FenAndLogoService extends IService<Fence> {

    /**
     * 批量添加
     * @param fenceId
     * @param logoIds
     */
    void addBach(Integer fenceId, String[] logoIds);

    /**
     * 根据标识id和车辆id查询电子围栏
     *
     * @param request
     * @return
     */
    List<Fence> queryByFenceAndLogoIds(FenceAndLogeRequest request);

    /*
     * 通过标识id查询围栏id
     * */
    List<Fence> findFencesByLogoId(Long logoId);

}
