package com.couplet.business.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.couplet.business.server.mapper.FenAndLogoMapper;
import com.couplet.business.server.service.FenAndLogoService;
import com.couplet.common.domain.Fence;
import com.couplet.common.domain.request.FenceAndLogeRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: LiJiaYao
 * @Date: 2024/3/28
 * 中间表信息
 */
@Service
public class FenAndLogoServiceImpl extends ServiceImpl<FenAndLogoMapper, Fence> implements FenAndLogoService {

    /**
     * 调用围栏mapper
     */
    @Autowired
    private FenAndLogoMapper fenAndLogoMapper;

    /**
     * 注入redis模板
     */
    @Autowired
    private StringRedisTemplate redisTemplate;

    /**
     * 业务实现:添加中间表
     * @param fenceId
     * @param logoIds
     */
    @Override
    public void addBach(Integer fenceId, String[] logoIds) {
        fenAndLogoMapper.addBach(fenceId,logoIds);

    }

    @Override
    public List<Fence> queryByFenceAndLogoIds(FenceAndLogeRequest request) {

       return fenAndLogoMapper.queryByFenceAndLogoIds(request);
    }

    /*
     * 通过标识id查询围栏信息
     * */
    @Override
    public List<Fence> findFencesByLogoId(Long logoId) {


        return fenAndLogoMapper.findFencesByLogoId(logoId);
    }
}
